## org.ascape.util
Class Conditionals

    java.lang.Object
      org.ascape.util.Conditionals

    public class Conditionals

extends java.lang.Object

The Class Conditionals.

Constructor Summary
`Conditionals()`

Method Summary
`static Conditional` `and(Conditional op1, Conditional op2)` And.
`static Conditional` `equal(java.lang.Object compare1)` Equal.
`static Conditional` `notEqual(java.lang.Object compare1)` Not equal.
`static Conditional` `or(Conditional op1, Conditional op2)` Or.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Conditionals

    public Conditionals()

Method Detail

### and

    public static final Conditional and(Conditional op1,
                                        Conditional op2)

  And.

  Parameters:
    `op1` - the op1
    `op2` - the op2
  Returns:
    the conditional

### or

    public static final Conditional or(Conditional op1,
                                       Conditional op2)

  Or.

  Parameters:
    `op1` - the op1
    `op2` - the op2
  Returns:
    the conditional

### notEqual

    public static final Conditional notEqual(java.lang.Object compare1)

  Not equal.

  Parameters:
    `compare1` - the compare1
  Returns:
    the conditional

### equal

    public static final Conditional equal(java.lang.Object compare1)

  Equal.

  Parameters:
    `compare1` - the compare1
  Returns:
    the conditional